> ## Documentation Index
> Fetch the complete documentation index at: https://docs.der-connect.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Entities

> Returns a page of Entities of the given type (if provided) and active feature (if provided)



## OpenAPI

````yaml get /v1/entities
openapi: 3.0.4
info:
  title: DER Connect Entities API
  description: Provides endpoints to manage entities.
  version: '1.0'
servers:
  - url: https://api.traxes.io/connect
security:
  - bearerAuth: []
paths:
  /v1/entities:
    get:
      tags:
        - Entities
      summary: List Entities
      description: >-
        Returns a page of Entities of the given type (if provided) and active
        feature (if provided)
      operationId: ListEntitiesEndpoint
      parameters:
        - name: pageSize
          in: query
          description: The number of Entities per page
          schema:
            type: integer
            format: int32
            default: 25
        - name: continuationToken
          in: query
          description: The token used to retrieve the next page
          schema:
            type: string
        - name: type
          in: query
          description: If set, the type of the Entities to filter on
          schema:
            $ref: '#/components/schemas/Connect.Service.Entity.Core.Models.EntityType'
        - name: activeFeature
          in: query
          description: If set, the feature that must be active for the Entity
          schema:
            $ref: >-
              #/components/schemas/Connect.Service.Entity.Core.Models.EntityFeature
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Connect.Service.Entity.App.Endpoints.V1._Shared.Models.PagedEntities
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Connect.Errors.Results.ConnectApiErrorResult
components:
  schemas:
    Connect.Service.Entity.Core.Models.EntityType:
      enum:
        - Battery
        - ChargePoint
        - EV
        - HeatPump
        - SolarPlant
        - RetrofitMeter
        - Meter
        - Inverter
      type: string
    Connect.Service.Entity.Core.Models.EntityFeature:
      enum:
        - CaptureChargeSessions
      type: string
    Connect.Service.Entity.App.Endpoints.V1._Shared.Models.PagedEntities:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Connect.Service.Entity.Api.Models.V1.Entity'
          nullable: true
        links:
          $ref: '#/components/schemas/Connect.Models.Links'
        meta:
          $ref: '#/components/schemas/Connect.Models.Meta'
      additionalProperties: false
      description: A page of entities
    Connect.Errors.Results.ConnectApiErrorResult:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Connect.Errors.Results.ConnectApiError'
          nullable: true
      additionalProperties: false
    Connect.Service.Entity.Api.Models.V1.Entity:
      required:
        - brand
        - created
        - id
        - identifier
        - type
      type: object
      properties:
        id:
          type: string
          description: The id of the Entity
          format: uuid
        type:
          $ref: '#/components/schemas/Connect.Service.Entity.Core.Models.EntityType'
        brand:
          type: string
          description: The brand information of the Entity
          nullable: true
        identifier:
          type: string
          description: The reference of the Entity
          nullable: true
        name:
          type: string
          description: The name of the Entity. Used like a label or a description.
          nullable: true
        parentId:
          type: string
          description: The parent id of the Entity
          format: uuid
          nullable: true
        isOnline:
          type: boolean
          description: A value indicating whether the entity is online.
        properties:
          description: The custom properties of the Entity
          nullable: true
        lastSeen:
          type: string
          description: The date and time the entity was last seen
          format: date-time
          nullable: true
        created:
          type: string
          description: The date and time the entity was created
          format: date-time
      additionalProperties: false
      description: An Entity
    Connect.Models.Links:
      type: object
      properties:
        next:
          type: string
          nullable: true
      additionalProperties: false
    Connect.Models.Meta:
      type: object
      properties:
        continuationToken:
          type: string
          nullable: true
        pageSize:
          type: integer
          format: int32
      additionalProperties: false
    Connect.Errors.Results.ConnectApiError:
      type: object
      properties:
        code:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      description: Access Token Authentication
      scheme: bearer
      bearerFormat: JWT

````